Subject: wxwindows 2.3.3 on cygwin 1.3.10-1/opengl 1.1.0-6
From: "Piyush Kumar" <[email-masked]>
To: "Wx-Users@Lists. Wxwindows. Org" <[email-masked]>
Cc: "Cygwin@Cygwin. Com" <[email-masked]>
Date: Wed, 29 May 2002 15:21:09 +0200

I recently compiled wxwindows 2.3.3 on the latest cygwin
(At last) and could get the opengl demos running.
There are still some things hanging in the Makefile
generated configure script,

I downloaded wxwindows[2.3.3] using cvs
and then ran

./configure --with-opengl -enable-shared

The generated Makefile, needs to be edited to
include opengl libraries in the Makefile.
In the following line :

$(build_libdir)/wxmsw233.dll: $(OBJECTS)
        @$(INSTALL) -d $(build_libdir)
        $(SHARED_LD) $@ $(SONAME_FLAGS) $(OBJECTS) $(EXTRALIBS)
$(OPENGLLIBS)

<Note the extra OPENGLLIBS>

This should not be required , but seems that $(OBJECTS) contains glcanvas.o
and that is the problem. Anyway, now if you say make, it will stop
when it gets to wxmsw_gl233.dll compilation, what I did is to copy the
wxmsw233.dll to wxmsw_gl233.dll in the lib directory , since the former
already has glcanvas.o and opengl libraries linked to it.

Now goto cd samples/opengl and say make
Then goto penguin and run it. It runs, thou
when you exit it , it says "memory couldn't be accesses".
But this is same for all samples on my box, even minimal.
When I exit, it says something went wrong, memory couldn't
be accessed.....Anyway, at least I couldn't crash any samples
in the middle of the run. So it seems only while exiting,
there is some problem in the samples, otherwise its ok.

Best,
--Piyush

PS: Version info of my box:

Current System Time: Wed May 29 13:51:11 2002

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 2

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

mount
C:/cygwin                          /                         system  binmode
C:/cygwin/bin                      /usr/bin                  system  binmode
C:/cygwin/lib                      /usr/lib                  system  binmode
C:\cygwin\usr\X11R6\lib\X11\fonts  /usr/X11R6/lib/X11/fonts  system  binmode
.                                  /cygdrive                 user
binmode,nou
mount

  751k 2002/02/25 C:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.10
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 51
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Mon Feb 25 11:14:34 EST 2002
        Shared id: cygwin1S3

Cygwin Package Information
Package             Version
XFree86-prt         4.2.0-1
XFree86-ps          4.2.0-1
XFree86-startup-scripts4.2.0-2
XFree86-xserv       4.2.0-2
ash                 20020131-1
autoconf            2.53-1
autoconf-devel      2.53a-1
autoconf-stable     2.13-4
automake            1.6a-1
automake-devel      1.6.1-3
automake-stable     1.4p5-5
bash                2.05a-3
bc                  1.06-1
binutils            20011002-1
bison               1.35-1
byacc               1.9-1
bzip2               1.0.2-2
clear               1.0-1
cpio                2.4.2
cron                3.0.1-6
crypt               1.0-1
ctags               5.2-1
curl                7.9.6-1
cvs                 1.11.0-1
cygrunsrv           0.95-1
cygutils            1.0.0-1
cygwin              1.3.10-1
dejagnu             20010117-1
diff                1.0-1
diffutils           2.8.1-1
ed                  0.2-1
expect              20010117-1
figlet              2.2-1
file                3.37-1
fileutils           4.1-1
findutils           4.1.7-4
flex                2.5.4-2
fortune             1.8-2
gawk                3.0.4-1
gcc                 2.95.3-5
gdb                 20010428-3
gdbm                1.8.0-4
gettext             0.10.40-1
ghostscript         6.51-4
gperf               0.0
grep                2.5-1
groff               1.17.2-1
gzip                1.3.2-1
indent              2.2.8-1
inetutils           1.3.2-17
irc                 20010101-1
jbigkit             1.2-6
jpeg                6b-7
less                374-1
libbz2_0            1.0.2-1
libbz2_1            1.0.2-2
libintl             0.10.38-3
libintl1            0.10.40-1
libncurses5         5.2-1
libncurses6         5.2-8
libpng              1.2.3-1
libpng10            1.0.13-3
libpng12            1.2.3-1
libpng2             1.0.12-1
libreadline4        4.1-2
libreadline5        4.2a-1
login               1.4-3
lynx                2.8.4-1
m4                  0.0
make                3.79.1-7
man                 1.5g-2
mingw               20010917-1
mingw-runtime       1.3-2
mktemp              1.4-1
nano                1.0.7-1
ncftp               3.1.3-1
ncurses             5.2-8
newlib-man          20001118-1
opengl              1.1.0-6
openssh             3.2.3p1-1
openssl             0.9.6d-1
patch               2.5-3
pcre                3.7-1
perl                5.6.1-2
popt                1.6.2-1
python              2.2-1
readline            4.2a-1
regex               4.4-2
robots              2.0-1
rsync               2.5.5-1
rxvt                2.7.2-10
sed                 3.02-1
sh-utils            2.0-2
sharutils           4.2.1-2
shellutils          0.0
shutdown            1.2-2
squid               2.4.STABLE6-1
tar                 1.13.19-1
tcltk               20001125-1
tcsh                6.11.00-4
termcap             20020403-1
terminfo            5.2-3
tetex-beta          20001218-4
texinfo             4.2-3
textutils           2.0.21-1
tiff                3.5.7-1
time                1.7-1
units               1.77-1
unzip               5.50-1
vim                 6.1-2
w32api              1.4-2
wget                1.8.1-1
which               1.5-1
xpm                 4.0.0-2
xpm-nox             4.2.0-1
zip                 2.3-2
zlib                1.1.4-1

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/